be.cin.mycarenet._1_0.carenet.types

## Class NurseContractualCareRequestDetail

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.NurseContractualCareRequestDetail

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:13:27+01:00",
                 comments="JAXB RI v2.3.7")
      public class NurseContractualCareRequestDetail
      extends Object
      implements Serializable

  Java class for NurseContractualCareRequestDetailType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NurseContractualCareRequestDetailType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="NurseReference" type="{urn:be:cin:mycarenet:1.0:carenet:types}NurseReferenceType"/>
               <element name="Requester" type="{urn:be:cin:mycarenet:1.0:carenet:types}NihiiType"/>
               <element name="ContractualCareDetail" type="{urn:be:cin:mycarenet:1.0:carenet:types}NurseContractualCareDetailType"/>
             </sequence>
             <attribute name="type" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}RequestTypeType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NurseContractualCareRequestDetail()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NurseContractualCareDetailType` | `getContractualCareDetail()` Gets the value of the contractualCareDetail property.
    `String` | `getNurseReference()` Gets the value of the nurseReference property.
    `String` | `getRequester()` Gets the value of the requester property.
    `RequestTypeType` | `getType()` Gets the value of the type property.
    `void` | `setContractualCareDetail(NurseContractualCareDetailType value)` Sets the value of the contractualCareDetail property.
    `void` | `setNurseReference(String value)` Sets the value of the nurseReference property.
    `void` | `setRequester(String value)` Sets the value of the requester property.
    `void` | `setType(RequestTypeType value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NurseContractualCareRequestDetail

          public NurseContractualCareRequestDetail()

  - ### Method Detail

    - #### getNurseReference

          public String getNurseReference()

      Gets the value of the nurseReference property.
      Returns:
        possible object is `String`

    - #### setNurseReference

          public void setNurseReference(String value)

      Sets the value of the nurseReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRequester

          public String getRequester()

      Gets the value of the requester property.
      Returns:
        possible object is `String`

    - #### setRequester

          public void setRequester(String value)

      Sets the value of the requester property.
      Parameters:
        `value` - allowed object is `String`

    - #### getContractualCareDetail

          public NurseContractualCareDetailType getContractualCareDetail()

      Gets the value of the contractualCareDetail property.
      Returns:
        possible object is `NurseContractualCareDetailType`

    - #### setContractualCareDetail

          public void setContractualCareDetail(NurseContractualCareDetailType value)

      Sets the value of the contractualCareDetail property.
      Parameters:
        `value` - allowed object is `NurseContractualCareDetailType`

    - #### getType

          public RequestTypeType getType()

      Gets the value of the type property.
      Returns:
        possible object is `RequestTypeType`

    - #### setType

          public void setType(RequestTypeType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `RequestTypeType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.